Package ch.qos.logback.classic.selector

## Class DefaultContextSelector

- java.lang.Object
- - ch.qos.logback.classic.selector.DefaultContextSelector

All Implemented Interfaces:
  `ContextSelector`

    public class DefaultContextSelector
    extends java.lang.Object
    implements ContextSelector

### Constructor Summary

Constructors
`DefaultContextSelector​(LoggerContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LoggerContext` `detachLoggerContext​(java.lang.String loggerContextName)`
`java.util.List<java.lang.String>` `getContextNames()`
`LoggerContext` `getDefaultLoggerContext()`
`LoggerContext` `getLoggerContext()`
`LoggerContext` `getLoggerContext​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultContextSelector

    public DefaultContextSelector​(LoggerContext context)

### Method Detail

#### getLoggerContext

    public LoggerContext getLoggerContext()

Specified by:
  `getLoggerContext` in interface `ContextSelector`

#### getDefaultLoggerContext

    public LoggerContext getDefaultLoggerContext()

Specified by:
  `getDefaultLoggerContext` in interface `ContextSelector`

#### detachLoggerContext

    public LoggerContext detachLoggerContext​(java.lang.String loggerContextName)

Specified by:
  `detachLoggerContext` in interface `ContextSelector`

#### getContextNames

    public java.util.List<java.lang.String> getContextNames()

Specified by:
  `getContextNames` in interface `ContextSelector`

#### getLoggerContext

    public LoggerContext getLoggerContext​(java.lang.String name)

Specified by:
  `getLoggerContext` in interface `ContextSelector`